controllers/DepartController.php
<?php

namespace app\controllers;

use Yii;
use app\models\Depart;
use yii\data\ActiveDataProvider;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;

/**
 * DepartController implements the CRUD actions for Depart model.
 */
class DepartController extends Controller {

    /**
     * {@inheritdoc}
     */
    public function behaviors() {
        return [
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'delete' => ['POST'],
                ],
            ],
        ];
    }

    /**
     * Lists all Depart models.
     * @return mixed
     */
    public function actionIndex() {
        $dataProvider = new ActiveDataProvider([
            'query' => Depart::find(),
        ]);

        return $this->render('index', [
                    'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Displays a single Depart model.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($id) {
        return $this->render('view', [
                    'model' => $this->findModel($id),
        ]);
    }

    /**
     * Creates a new Depart model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return mixed
     */
    public function actionCreate() {
        $model = new Depart();

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->dept_no]);
        }

        return $this->render('create', [
                    'model' => $model,
        ]);
    }

    /**
     * Updates an existing Depart model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($id) {
        $model = $this->findModel($id);

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->dept_no]);
        }

        return $this->render('update', [
                    'model' => $model,
        ]);
    }

    /**
     * Deletes an existing Depart model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($id) {
        $this->findModel($id)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the Depart model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param integer $id
     * @return Depart the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($id) {
        if (($model = Depart::findOne($id)) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('The requested page does not exist.');
    }

    public function actionConsulta2() {

        /* ActiveQuery */
        $a = Depart::find();

        /* Active Record (modelos) 
          Lo que tengo es un array */
        $b = $a->all();

        /* ActiveDataProvider */
        $c = new ActiveDataProvider([
            "query" => $a
        ]);


        return $this->render('consulta2', [
                    'activeRecord' => $b,
                    'dp' => $c
        ]);
    }

    public function actionConsulta4() {

        $consulta = Depart::find()
                ->select("loc,dept_no");
        $dp = new ActiveDataProvider([
            'query' => $consulta
        ]);

        return $this->render('consulta4', [
            'datos' => $dp
        ]);
    }

    public function actionConsulta5() {

        $consulta = Depart::find();
        
        $dp = new ActiveDataProvider([
            'query' => $consulta,
            'pagination'=>['pageSize'=>1],
        ]);

        return $this->render('consulta5', [
            'datos' => $dp
        ]);
    }

    public function actionConsulta9() {

        $consulta = Depart::find()
                ->count();

        return $this->render('consulta9', [
                    'titulo' => 'Consulta 9',
                    'texto' => 'Mostrar el número de departamentos que hay',
                    'datos' => $consulta
        ]);
    }

}

controllers/EmpleController.php
<?php

namespace app\controllers;

use Yii;
use app\models\Emple;
use yii\data\ActiveDataProvider;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;
use yii\db\Query;

/**
 * EmpleController implements the CRUD actions for Emple model.
 */
class EmpleController extends Controller {

    /**
     * {@inheritdoc}
     */
    public function behaviors() {
        return [
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'delete' => ['POST'],
                ],
            ],
        ];
    }

    /**
     * Lists all Emple models.
     * @return mixed
     */
    public function actionIndex() {
        $dataProvider = new ActiveDataProvider([
            'query' => Emple::find(),
        ]);

        return $this->render('index', [
                    'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Displays a single Emple model.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($id) {
        return $this->render('view', [
                    'model' => $this->findModel($id),
        ]);
    }

    /**
     * Creates a new Emple model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return mixed
     */
    public function actionCreate() {
        $model = new Emple();

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->emp_no]);
        }

        return $this->render('create', [
                    'model' => $model,
        ]);
    }

    /**
     * Updates an existing Emple model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($id) {
        $model = $this->findModel($id);

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->emp_no]);
        }

        return $this->render('update', [
                    'model' => $model,
        ]);
    }

    /**
     * Deletes an existing Emple model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($id) {
        $this->findModel($id)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the Emple model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param integer $id
     * @return Emple the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($id) {
        if (($model = Emple::findOne($id)) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('The requested page does not exist.');
    }

    public function actionConsulta1() {
        /* Utilizar el ActiveQuery */
        $r = Emple::find();

        /* Utilizar un dataprovider desde activeQuery */
        $d = new ActiveDataProvider([
            "query" => $r
        ]);

        $consulta = $r->all();

        /* Crear una consulta con QueryBuilder */
        $listado = (new Query())->select("*")->from("emple")->all();

        /*
          Crear una consulta con el objeto conexión
         */
        $consulta = Yii::$app->db->createCommand("select * from emple");

        return $this->render('consulta1', [
                    'datos' => $consulta,
                    'dataProvider' => $d,
                    'listado' => $listado,
                    'consulta' => $consulta
        ]);
    }

    public function actionConsulta3() {
        $consulta = Emple::find()
                ->select("apellido,oficio");

        $dp = new ActiveDataProvider([
            "query" => $consulta
        ]);

        return $this->render('consulta3', [
                    "datos" => $dp
        ]);
    }

    public function actionConsulta6() {
        $consulta = Emple::find()->count();

        return $this->render('consulta6', [
                    'titulo' => 'Consulta 6',
                    'texto' => "Indicar el número de empleados que hay",
                    "datos" => $consulta
        ]);
    }

    public function actionConsulta7() {
        $consulta = Emple::find()
                ->orderBy('apellido');

        $dp = new ActiveDataProvider([
            "query" => $consulta
        ]);

        return $this->render('consulta7', [
                    "datos" => $dp
        ]);
    }

    public function actionConsulta8() {
        $consulta = Emple::find()
                ->orderBy(['apellido' => SORT_DESC]);

        $dp = new ActiveDataProvider([
            "query" => $consulta
        ]);

        return $this->render('consulta8', [
                    "datos" => $dp
        ]);
    }

    public function actionConsulta10() {
        $consulta = Emple::find()
                ->orderBy(['dept_no' => SORT_DESC]);

        $dp = new ActiveDataProvider([
            "query" => $consulta
        ]);

        return $this->render('consulta10', [
                    "datos" => $dp
        ]);
    }

    public function actionConsulta11() {
        $consulta = Emple::find()
                ->orderBy(['dept_no' => SORT_DESC,
            'oficio' => SORT_ASC]);

        $dp = new ActiveDataProvider([
            "query" => $consulta
        ]);

        return $this->render('consulta11', [
                    "datos" => $dp
        ]);
    }

    public function actionConsulta12() {
        $consulta = Emple::find()
                ->orderBy(['dept_no' => SORT_DESC,
            'apellido' => SORT_ASC]);


        $dp = new ActiveDataProvider([
            "query" => $consulta
        ]);

        return $this->render('consulta12', [
                    "datos" => $dp
        ]);
    }

    public function actionConsulta13() {
        $consulta = Emple::find()
                ->select('emp_no')
                ->where('salario>2000');

        $dp = new ActiveDataProvider([
            "query" => $consulta
        ]);

        return $this->render('consulta13', [
                    'titulo' => 'Consulta 13',
                    'texto' => "Mostrar los códigos de los empleados cuyo salario sea mayor 2000",
                    'datos' => $dp
        ]);
    }

    public function actionConsulta14() {
        $consulta = Emple::find()
                ->select('emp_no,apellido')
                ->where('salario<2000');

        $dp = new ActiveDataProvider([
            "query" => $consulta
        ]);

        return $this->render('consulta14', [
                    'titulo' => 'Consulta 14',
                    'texto' => "Mostrar los códigos y los apellidos de los empleados cuyo salario sea menor 2000",
                    'datos' => $dp
        ]);
    }

    public function actionConsulta15() {
        $consulta = Emple::find()
                ->where(['between', 'salario', '1500', '2500']);

        $dp = new ActiveDataProvider([
            "query" => $consulta
        ]);

        return $this->render('consulta15', [
                    'titulo' => 'Consulta 15',
                    'texto' => "Mostrar los datos de los empleados cuyo salario este entre 1500 y 2500",
                    'datos' => $dp
        ]);
    }

    public function actionConsulta16() {
        $consulta = Emple::find()
                ->where(['oficio' => 'ANALISTA']);


        $dp = new ActiveDataProvider([
            "query" => $consulta
        ]);

        return $this->render('consulta16', [
                    'titulo' => 'Consulta 16',
                    'texto' => "Mostrar los datos de los empleados cuyo oficio sea 'ANALISTA'",
                    'datos' => $dp
        ]);
    }

    public function actionConsulta17() {
        $consulta = Emple::find()
                ->asArray()
                ->where(['and',
            ['oficio' => 'ANALISTA'],
            ['>', 'salario', '2000']
        ]);

        $dp = new ActiveDataProvider([
            "query" => $consulta
        ]);

        return $this->render('consulta17', [
                    'titulo' => 'Consulta 17',
                    'texto' => "Mostrar los datos de los empleados cuyo oficio sea 'ANALISTA' y ganen mas de 2000€",
                    'datos' => $dp
        ]);
    }

    public function actionConsulta18() {
        $consulta = Emple::find()
                ->select('apellido,oficio')
                ->where(['dept_no' => 20]);

        $dp = new ActiveDataProvider([
            "query" => $consulta
        ]);

        return $this->render('consulta18', [
                    'titulo' => 'Consulta 18',
                    'texto' => "Mostrar el apellido y oficio de los empleados del departamento número 20",
                    'datos' => $dp
        ]);
    }

    public function actionConsulta19() {
        $consulta = Emple::find()
                ->where(['oficio' => 'VENDEDOR'])
                ->count();


        return $this->render('consulta19', [
                    'titulo' => 'Consulta 19',
                    'texto' => "Contar el número de empleados cuyo oficio sea 'VENDEDOR'",
                    'datos' => $consulta
        ]);
    }

    public function actionConsulta20() {
        $consulta = Emple::find()
                ->where(['or', 'left(apellido,1)="m"', 'left(apellido,1)="n"'])
                ->orderBy(['apellido' => SORT_ASC]);

        $dp = new ActiveDataProvider([
            "query" => $consulta
        ]);

        return $this->render('consulta20', [
                    'titulo' => 'Consulta 20',

controllers/SiteController.php
<?php

namespace app\controllers;

use Yii;
use yii\filters\AccessControl;
use yii\web\Controller;
use yii\web\Response;
use yii\filters\VerbFilter;
use app\models\LoginForm;
use app\models\ContactForm;

class SiteController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::className(),
                'only' => ['logout'],
                'rules' => [
                    [
                        'actions' => ['logout'],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'logout' => ['post'],
                ],
            ],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
            'captcha' => [
                'class' => 'yii\captcha\CaptchaAction',
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }

    /**
     * Displays homepage.
     *
     * @return string
     */
    public function actionIndex()
    {
        return $this->render('index');
    }

    /**
     * Login action.
     *
     * @return Response|string
     */
    public function actionLogin()
    {
        if (!Yii::$app->user->isGuest) {
            return $this->goHome();
        }

        $model = new LoginForm();
        if ($model->load(Yii::$app->request->post()) && $model->login()) {
            return $this->goBack();
        }

        $model->password = '';
        return $this->render('login', [
            'model' => $model,
        ]);
    }

    /**
     * Logout action.
     *
     * @return Response
     */
    public function actionLogout()
    {
        Yii::$app->user->logout();

        return $this->goHome();
    }

    /**
     * Displays contact page.
     *
     * @return Response|string
     */
    public function actionContact()
    {
        $model = new ContactForm();
        if ($model->load(Yii::$app->request->post()) && $model->contact(Yii::$app->params['adminEmail'])) {
            Yii::$app->session->setFlash('contactFormSubmitted');

            return $this->refresh();
        }
        return $this->render('contact', [
            'model' => $model,
        ]);
    }

    /**
     * Displays about page.
     *
     * @return string
     */
    public function actionAbout()
    {
        return $this->render('about');
    }
}

views/site/about.php
<?php

/* @var $this yii\web\View */

use yii\helpers\Html;

$this->title = 'About';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="site-about">
    <h1><?= Html::encode($this->title) ?></h1>

    <p>
        This is the About page. You may modify the following file to customize its content:
    </p>

    <code><?= __FILE__ ?></code>
</div>

views/site/error.php
<?php

/* @var $this yii\web\View */
/* @var $name string */
/* @var $message string */
/* @var $exception Exception */

use yii\helpers\Html;

$this->title = $name;
?>
<div class="site-error">

    <h1><?= Html::encode($this->title) ?></h1>

    <div class="alert alert-danger">
        <?= nl2br(Html::encode($message)) ?>
    </div>

    <p>
        The above error occurred while the Web server was processing your request.
    </p>
    <p>
        Please contact us if you think this is a server error. Thank you.
    </p>

</div>

views/site/index.php
<?php
//precargar las clase
use yii\helpers\Html;

/* @var $this yii\web\View */
$this->title = 'Consultas';
?>
<div class="site-index">
    
    
    
  
    <div class="jumbotron">
        <h1>Practica 2</h1>
        
        <p class="lead">Consultas</p>
        
    </div>    

    <div class="body-content">

        <div class="row">
            
            <div class="col-md-2">
                <h2>Consulta 1</h2>

                <p>Listar a todos los empleados</p>

                <p><?= Html::a("Ejecutar",["emple/consulta1"],["class"=>"btn btn-default"]) ?></p>
            </div>
            
            <div class="col-lg-2">
                <h2>Consulta 2</h2>

                <p>Mostrar todos los departamentos</p>

                <p><?= Html::a("Ejecutar",["depart/consulta2"],["class"=>"btn btn-default"]) ?></p>
            </div>
            
            <div class="col-lg-2">
                <h2>Consulta 3</h2>

                <p>Mostrar el apellido y oficio </p>

                <p><?= Html::a("Ejecutar",["emple/consulta3"],["class"=>"btn btn-default"]) ?></p>
            </div>
            
            <div class="col-lg-2">
                <h2>Consulta 4</h2>

                <p>Mostrar localización y numero de departamento</p>

                <p><?= Html::a("Ejecutar",["depart/consulta4"],["class"=>"btn btn-default"]) ?></p>
            </div>
            
            <div class="col-lg-2">
                <h2>Consulta 5</h2>

                <p>Mostrar el número, nombre y la localización de cada departamento</p>

                <p><?= Html::a("Ejecutar",["depart/consulta5"],["class"=>"btn btn-default"]) ?></p>
            </div>
            
            <div class="col-lg-2">
                <h2>Consulta 6</h2>

                <p>Indicar el númerode empleados que hay.</p>

                <p><?= Html::a("Ejecutar",["emple/consulta6"],["class"=>"btn btn-default"]) ?></p>
            </div>
                        
                                    
        </div>
        
        <div class="row">      
            
            <div class="col-lg-2">
                <h2>Consulta 7</h2>

                <p>Datos de los empleados ordenados por apellido de forma ascendente</p>

                <p><?= Html::a("Ejecutar",["emple/consulta7"],["class"=>"btn btn-default"]) ?></p>
            </div>
            
            <div class="col-lg-2">
                <h2>Consulta 8</h2>

                <p>Datos de los empleados ordenados por apellido de forma descendente</p>

                <p><?= Html::a("Ejecutar",["emple/consulta8"],["class"=>"btn btn-default"]) ?></p>
            </div>
            
            <div class="col-lg-2">
                <h2>Consulta 9</h2>

                <p>Indicar el número de departamentos que hay</p>

                <p><?= Html::a("Ejecutar",["depart/consulta9"],["class"=>"btn btn-default"]) ?></p>
            </div>
            
            <div class="col-lg-2">
                <h2>Consulta 10</h2>

                <p>Datos de los empleados ordenados por el número de departamento de forma descendente</p>

                <p><?= Html::a("Ejecutar",["emple/consulta10"],["class"=>"btn btn-default"]) ?></p>
            </div>
            
            <div class="col-lg-2">
                <h2>Consulta 11</h2>

                <p>Datos de los empleados ordenados por el número de departamento de forma descendente y`por oficio ascendente</p>

                <p><?= Html::a("Ejecutar",["emple/consulta11"],["class"=>"btn btn-default"]) ?></p>
            </div>
            
            <div class="col-lg-2">
                <h2>Consulta 12</h2>

                <p>Datos de los empleados ordenados por el número de departamento de forma descendente y`por apellido ascendente</p>

                <p><?= Html::a("Ejecutar",["emple/consulta12"],["class"=>"btn btn-default"]) ?></p>
            </div>   
            
            
        </div>
        
        <div class="row">          
            
            <div class="col-lg-2">
                <h2>Consulta 13</h2>

                <p>Mostrar los códigos de los empleados cuyo salario sea mayor 2000</p>

                <p><?= Html::a("Ejecutar",["emple/consulta13"],["class"=>"btn btn-default"]) ?></p>
            </div>
            
            <div class="col-lg-2">
                <h2>Consulta 14</h2>

                <p>Mostrar los códigos de los empleados cuyo salario sea mayor 2000</p>

                <p><?= Html::a("Ejecutar",["emple/consulta14"],["class"=>"btn btn-default"]) ?></p>
            </div>
            
            <div class="col-lg-2">
                <h2>Consulta 15</h2>

                <p>Mostrar los datos de los empleados cuyo salario este entre 1500 y 2500</p>

                <p><?= Html::a("Ejecutar",["emple/consulta15"],["class"=>"btn btn-default"]) ?></p>
            </div>
                       
            <div class="col-lg-2">
                <h2>Consulta 16</h2>

                <p>Mostrar los datos de los empleados cuyo oficio sea 'ANALISTA'</p>

                <p><?= Html::a("Ejecutar",["emple/consulta16"],["class"=>"btn btn-default"]) ?></p>
            </div>
            
            <div class="col-lg-2">
                <h2>Consulta 17</h2>

                <p>Mostrar los datos de los empleados cuyo oficio sea 'ANALISTA' y ganen mas de 2000€</p>

                <p><?= Html::a("Ejecutar",["emple/consulta17"],["class"=>"btn btn-default"]) ?></p>
            </div>
            
            <div class="col-lg-2">
                <h2>Consulta 18</h2>

                <p>Mostrar el apellido y oficio de los empleados del departamento número 20</p>

                <p><?= Html::a("Ejecutar",["emple/consulta18"],["class"=>"btn btn-default"]) ?></p>
            </div>
                        
            
        </div>
        
        <div class="row">
            
            <div class="col-md-2">
                <h2>Consulta 19</h2>

                <p>Contar el número de empleados cuyo oficio sea 'VENDEDOR'</p>

                <p><?= Html::a("Ejecutar",["emple/consulta19"],["class"=>"btn btn-default"]) ?></p>
            </div>
            
            <div class="col-md-2">
                <h2>Consulta 20</h2>

                <p>Mostrar todos los datos de los empleados cuyos apellidos comiencen por m o por n ordenados por apellido de forma ascendete</p>

                <p><?= Html::a("Ejecutar",["emple/consulta20"],["class"=>"btn btn-default"]) ?></p>
            </div>
            
            <div class="col-md-2">
                <h2>Consulta 21</h2>

                <p>Seleccionar los empleados cuyo oficio sea 'VENDEDOR'. Mostrar los datos ordenados por apellido de forma ascendente</p>

                <p><?= Html::a("Ejecutar",["emple/consulta21"],["class"=>"btn btn-default"]) ?></p>
            </div>
            
            <div class="col-md-2">
                <h2>Consulta 22</h2>

                <p>Mostrar los apellidos del empleado que mas gana</p>

                <p><?= Html::a("Ejecutar",["emple/consulta22"],["class"=>"btn btn-default"]) ?></p>
            </div>
            
            <div class="col-md-2">
                <h2>Consulta 23</h2>

                <p>Mostrar los empleados cuyo departamento sea 10 y cuyo oficio sea 'ANALISTA'. Ordenar el resultado por apellido y oficio de forma ascendente</p>

                <p><?= Html::a("Ejecutar",["emple/consulta23"],["class"=>"btn btn-default"]) ?></p>
            </div>
            
            <div class="col-md-2">
                <h2>Consulta 24</h2>

                <p>Realizar un listado de los distintos meses en que los empleados se han dado de alta</p>

                <p><?= Html::a("Ejecutar",["emple/consulta24"],["class"=>"btn btn-default"]) ?></p>
            </div>            
                        
                                    
        </div>
        
        <div class="row">
            
            <div class="col-md-2">
                <h2>Consulta 25</h2>

                <p>Realizar un listado de los distintos años en que los empleados se han dado de alta</p>

                <p><?= Html::a("Ejecutar",["emple/consulta25"],["class"=>"btn btn-default"]) ?></p>
            </div>
            
            <div class="col-md-2">
                <h2>Consulta 26</h2>

                <p>Realizar un listado de los distintos dias del mes en que los empleados se han dado de alta</p>

                <p><?= Html::a("Ejecutar",["emple/consulta26"],["class"=>"btn btn-default"]) ?></p>
            </div>
            
            <div class="col-md-2">
                <h2>Consulta 27</h2>

                <p>Mostrar los apellidos de los empleados que tengan un salario mayor de 2000 o que pertenezcan al departamento 20</p>

                <p><?= Html::a("Ejecutar",["emple/consulta27"],["class"=>"btn btn-default"]) ?></p>
            </div>
            
            <div class="col-md-2">
                <h2>Consulta 28</h2>

                <p>Realizar un listado donde nos coloque el apellido del empleado y el nombre del departamento al que pertenece</p>

                <p><?= Html::a("Ejecutar",["emple/consulta28"],["class"=>"btn btn-default"]) ?></p>
            </div>
            
            <div class="col-md-2">
                <h2>Consulta 29</h2>

                <p>Realizar un listado donde nos coloque el apellido del empleado 
                   el oficio del empleado y el nombre del departamento al que pertenece. 
                   Ordenar los resultados por apellido de forma descendente</p>

                <p><?= Html::a("Ejecutar",["emple/consulta29"],["class"=>"btn btn-default"]) ?></p>
            </div>
            
            <div class="col-md-2">
                <h2>Consulta 30</h2>

                <p>Listar el número de empleados por departamento. La salida del comando debe ser como la que vemos a continuación</p>

                <p><?= Html::a("Ejecutar",["emple/consulta30"],["class"=>"btn btn-default"]) ?></p>
            </div>                                                                                           
                     
            
        </div>
        
        
        <div class="row">            
           
            <div class="col-md-2">
                <h2>Consulta 31</h2>

                <p>Realizar el mismo comando anterior pero obteniendo una salida como la que vemos</p>

                <p><?= Html::a("Ejecutar",["emple/consulta31"],["class"=>"btn btn-default"]) ?></p>
            </div>
            
            <div class="col-md-2">
                <h2>Consulta 32</h2>

                <p>Listar el apellido de todos los empleados y ordenarlos por oficio y por nombre</p>

                <p><?= Html::a("Ejecutar",["emple/consulta32"],["class"=>"btn btn-default"]) ?></p>
            </div>
            
            <div class="col-md-2">
                <h2>Consulta 33</h2>

                <p>Seleccionar de la tabla EMPLE los empleados cuyo apellido empiece por 'A'. Listar el apellido de los empleados</p>

                <p><?= Html::a("Ejecutar",["emple/consulta33"],["class"=>"btn btn-default"]) ?></p>
            </div>
            
            <div class="col-md-2">
                <h2>Consulta 34</h2>

                <p>Seleccionar de la tabla EMPLE los empleados cuyo apellido empiece por 'A' o por 'M'. Listar el apellido de los empleados</p>

                <p><?= Html::a("Ejecutar",["emple/consulta34"],["class"=>"btn btn-default"]) ?></p>
            </div>
            
            <div class="col-md-2">
                <h2>Consulta 35</h2>

                <p>Seleccionar de la tabla EMPLE los empleados cuyo apellido no empiece por 'Z'. Listar todos los campos de la tabla empleados</p>

                <p><?= Html::a("Ejecutar",["emple/consulta35"],["class"=>"btn btn-default"]) ?></p>
            </div>
                        
                                    
        </div>
            
        


    </div>
    
</div>

views/site/login.php
<?php

/* @var $this yii\web\View */
/* @var $form yii\bootstrap\ActiveForm */
/* @var $model app\models\LoginForm */

use yii\helpers\Html;
use yii\bootstrap\ActiveForm;

$this->title = 'Login';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="site-login">
    <h1><?= Html::encode($this->title) ?></h1>

    <p>Please fill out the following fields to login:</p>

    <?php $form = ActiveForm::begin([
        'id' => 'login-form',
        'layout' => 'horizontal',
        'fieldConfig' => [
            'template' => "{label}\n<div class=\"col-lg-3\">{input}</div>\n<div class=\"col-lg-8\">{error}</div>",
            'labelOptions' => ['class' => 'col-lg-1 control-label'],
        ],
    ]); ?>

        <?= $form->field($model, 'username')->textInput(['autofocus' => true]) ?>

        <?= $form->field($model, 'password')->passwordInput() ?>

        <?= $form->field($model, 'rememberMe')->checkbox([
            'template' => "<div class=\"col-lg-offset-1 col-lg-3\">{input} {label}</div>\n<div class=\"col-lg-8\">{error}</div>",
        ]) ?>

        <div class="form-group">
            <div class="col-lg-offset-1 col-lg-11">
                <?= Html::submitButton('Login', ['class' => 'btn btn-primary', 'name' => 'login-button']) ?>
            </div>
        </div>

    <?php ActiveForm::end(); ?>

    <div class="col-lg-offset-1" style="color:#999;">
        You may login with <strong>admin/admin</strong> or <strong>demo/demo</strong>.<br>
        To modify the username/password, please check out the code <code>app\models\User::$users</code>.
    </div>
</div>